## com.ibm.lab.soln.editor.ui
Class MiniSpreadsheetUIPlugin

    java.lang.Object
      |
      +--org.eclipse.core.runtime.Plugin
            |
            +--org.eclipse.ui.plugin.AbstractUIPlugin
                  |
                  +--com.ibm.lab.soln.editor.ui.MiniSpreadsheetUIPlugin

public class MiniSpreadsheetUIPlugin
extends org.eclipse.ui.plugin.AbstractUIPlugin

User interface plug-in for mini-spreadsheet editor.

Field Summary

Fields inherited from class org.eclipse.core.runtime.Plugin
`PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`MiniSpreadsheetUIPlugin(org.eclipse.core.runtime.IPluginDescriptor descriptor)` Constructor for MiniSpreadsheetUIPlugin.

Method Summary
`static MiniSpreadsheetUIPlugin` | `getDefault()` Returns the shared instance.
`static java.lang.String` | `getId()` Return the plug-in ID.
`void` | `startup()` Register the `IActionFilter` adapter for `MiniSpreadsheetRow`.

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getDescriptor, getLog, getPluginPreferences, getStateLocation, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MiniSpreadsheetUIPlugin

    public MiniSpreadsheetUIPlugin(org.eclipse.core.runtime.IPluginDescriptor descriptor)

  Constructor for MiniSpreadsheetUIPlugin.

Parameters:
  `descriptor` -

Method Detail

### getDefault

    public static MiniSpreadsheetUIPlugin getDefault()

  Returns the shared instance.

### getId

    public static java.lang.String getId()

  Return the plug-in ID.

### startup

    public void startup()
                 throws org.eclipse.core.runtime.CoreException

  Register the `IActionFilter` adapter for `MiniSpreadsheetRow`.

  Overrides:
    `startup` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
    `org.eclipse.core.runtime.CoreException`